"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DbRowTransformer = void 0;
const node_stream_1 = require("node:stream");
const CONSOLE_TYPES_TO_PROCESS = new Set(['grp', 'cmd', 'msg']);
class DbRowTransformer extends node_stream_1.Transform {
    constructor() {
        super({ readableObjectMode: true, writableObjectMode: true });
    }
    _transform(chunk, encoding, next) {
        if (this.has(chunk)) {
            this.push(`${JSON.stringify(chunk)}\n`);
        }
        next();
    }
    has(console) {
        return !console.timestampEndedAt && CONSOLE_TYPES_TO_PROCESS.has(console.type);
    }
}
exports.DbRowTransformer = DbRowTransformer;
//# sourceMappingURL=DbRowTransformer.js.map